ADAM_2.12: Core 0.35.0 API < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package org
  Definition Classes
    root
-  package bdgenomics
  Definition Classes
    org
-  package adam
  Definition Classes
    bdgenomics
-  package models
  Definition Classes
    adam
- Alphabet
- Attribute
- Coverage
- DNAAlphabet
- MdTag
- MdTagEvent
- OptionalPositionOrdering
- OptionalReferenceOrdering
- OptionalRegionOrdering
- PositionOrdering
- ReadGroup
- ReadGroupDictionary
- ReferenceOrdering
- ReferencePosition
- ReferencePositionSerializer
- ReferenceRegion
- ReferenceRegionSerializer
- RegionOrdering
- SequenceDictionary
- SequenceRecord
- SnpTable
- Symbol
- TagType
- VariantContext
- VariantContextSerializer

o

org.bdgenomics.adam.models

# OptionalRegionOrdering 

###

#### object OptionalRegionOrdering extends OptionalReferenceOrdering[ReferenceRegion]

A sort order that orders all given regions lexicographically by reference and numerically within a single reference sequence, and puts all non-provided regions at the end. An extension of PositionOrdering to Optional data.

See also

  PositionOrdering

Linear Supertypes
OptionalReferenceOrdering[ReferenceRegion], Ordering[Option[ReferenceRegion]], PartialOrdering[Option[ReferenceRegion]], Equiv[Option[ReferenceRegion]], Serializable, Serializable, Comparator[Option[ReferenceRegion]], AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. OptionalRegionOrdering
2. OptionalReferenceOrdering
3. Ordering
4. PartialOrdering
5. Equiv
6. Serializable
7. Serializable
8. Comparator
9. AnyRef
10. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1.  class Ops extends AnyRef
   Definition Classes
     Ordering

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  val baseOrdering: RegionOrdering.type
   Definition Classes
     OptionalRegionOrdering → OptionalReferenceOrdering
6.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native() @HotSpotIntrinsicCandidate()
7.  def compare(a: Option[ReferenceRegion], b: Option[ReferenceRegion]): Int
   Definition Classes
     OptionalReferenceOrdering → Ordering → Comparator
8.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
9.  def equals(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
10.  def equiv(x: Option[ReferenceRegion], y: Option[ReferenceRegion]): Boolean
    Definition Classes
      Ordering → PartialOrdering → Equiv
11.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
12.  def gt(x: Option[ReferenceRegion], y: Option[ReferenceRegion]): Boolean
    Definition Classes
      Ordering → PartialOrdering
13.  def gteq(x: Option[ReferenceRegion], y: Option[ReferenceRegion]): Boolean
    Definition Classes
      Ordering → PartialOrdering
14.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
15.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
16.  def lt(x: Option[ReferenceRegion], y: Option[ReferenceRegion]): Boolean
    Definition Classes
      Ordering → PartialOrdering
17.  def lteq(x: Option[ReferenceRegion], y: Option[ReferenceRegion]): Boolean
    Definition Classes
      Ordering → PartialOrdering
18.  def max(x: Option[ReferenceRegion], y: Option[ReferenceRegion]): Option[ReferenceRegion]
    Definition Classes
      Ordering
19.  def min(x: Option[ReferenceRegion], y: Option[ReferenceRegion]): Option[ReferenceRegion]
    Definition Classes
      Ordering
20.  implicit def mkOrderingOps(lhs: Option[ReferenceRegion]): Ops
    Definition Classes
      Ordering
21.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
22.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
23.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
24.  def on[U](f: (U) ⇒ Option[ReferenceRegion]): Ordering[U]
    Definition Classes
      Ordering
25.  def reverse: Ordering[Option[ReferenceRegion]]
    Definition Classes
      Ordering → PartialOrdering
26.  def reversed(): Comparator[Option[ReferenceRegion]]
    Definition Classes
      Comparator
27.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
28.  def thenComparing[U <: Comparable[_ >: U]](arg0: Function[_ >: Option[ReferenceRegion], _ <: U]): Comparator[Option[ReferenceRegion]]
    Definition Classes
      Comparator
29.  def thenComparing[U](arg0: Function[_ >: Option[ReferenceRegion], _ <: U], arg1: Comparator[_ >: U]): Comparator[Option[ReferenceRegion]]
    Definition Classes
      Comparator
30.  def thenComparing(arg0: Comparator[_ >: Option[ReferenceRegion]]): Comparator[Option[ReferenceRegion]]
    Definition Classes
      Comparator
31.  def thenComparingDouble(arg0: ToDoubleFunction[_ >: Option[ReferenceRegion]]): Comparator[Option[ReferenceRegion]]
    Definition Classes
      Comparator
32.  def thenComparingInt(arg0: ToIntFunction[_ >: Option[ReferenceRegion]]): Comparator[Option[ReferenceRegion]]
    Definition Classes
      Comparator
33.  def thenComparingLong(arg0: ToLongFunction[_ >: Option[ReferenceRegion]]): Comparator[Option[ReferenceRegion]]
    Definition Classes
      Comparator
34.  def toString(): String
    Definition Classes
      AnyRef → Any
35.  def tryCompare(x: Option[ReferenceRegion], y: Option[ReferenceRegion]): Some[Int]
    Definition Classes
      Ordering → PartialOrdering
36.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
37.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
38.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Deprecated Value Members

1.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] ) @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

### Inherited from OptionalReferenceOrdering[ReferenceRegion]

### Inherited from Ordering[Option[ReferenceRegion]]

### Inherited from PartialOrdering[Option[ReferenceRegion]]

### Inherited from Equiv[Option[ReferenceRegion]]

### Inherited from Serializable

### Inherited from Comparator[Option[ReferenceRegion]]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped